package conf

import (
	beego "github.com/beego/beego/v2/server/web"
)

// Nats
var NatsServer_Url, _ = beego.AppConfig.String("NatsServer_Url")

var HTTPPort, _ = beego.AppConfig.String("HTTPPort")
var AppName, _ = beego.AppConfig.String("appname")
var RunMode, _ = beego.AppConfig.String("runmode")

var Page_size = 10

// Mysql
var MysqlServer_UrlPort, _ = beego.AppConfig.String("MysqlServer_UrlPort")
var MysqlServer_Database, _ = beego.AppConfig.String("MysqlServer_Database")
var MysqlServer_Username, _ = beego.AppConfig.String("MysqlServer_Username")
var MysqlServer_Password, _ = beego.AppConfig.String("MysqlServer_Password")
var MysqlServer_MaxIdleConnections, _ = beego.AppConfig.Int("MysqlServer_MaxIdleConnections")
var MysqlServer_MaxOpenConnections, _ = beego.AppConfig.Int("MysqlServer_MaxOpenConnections")

// Redis
var Redis_address, _ = beego.AppConfig.String("Redis_address")
var Redis_password, _ = beego.AppConfig.String("Redis_password")
var Redis_dbNum, _ = beego.AppConfig.String("Redis_dbNum")

// Qiniu
var Qiniu_AccessKey, _ = beego.AppConfig.String("Qiniu_AccessKey")
var Qiniu_SecretKey, _ = beego.AppConfig.String("Qiniu_SecretKey")
var Qiniu_BUCKET, _ = beego.AppConfig.String("Qiniu_BUCKET")
var OssQiniu = "https://bzdcoldverifyoss.baozhida.cn"
var Oss, _ = beego.AppConfig.String("Oss")
var Oss_file, _ = beego.AppConfig.String("Oss_file")
